{
  "schema_version": "1.4.0",
  "id": "GHSA-cv7h-2qqx-2rrp",
  "modified": "2022-05-17T01:47:59Z",
  "published": "2022-05-17T01:47:59Z",
  "aliases": [
    "CVE-2012-1584"
  ],
  "details": "Integer overflow in the mid function in toolkit/tbytevector.cpp in TagLib 1.7 and earlier allows context-dependent attackers to cause a denial of service (application crash) via a crafted file header field in a media file, which triggers a large memory allocation.",
  "severity": [],
  "affected": [],
  "references": [
    {
      "type": "ADVISORY",
      "url": "https://nvd.nist.gov/vuln/detail/CVE-2012-1584"
    },
    {
      "type": "WEB",
      "url": "https://github.com/taglib/taglib/commit/dcdf4fd954e3213c355746fa15b7480461972308"
    },
    {
      "type": "WEB",
      "url": "https://exchange.xforce.ibmcloud.com/vulnerabilities/78909"
    },
    {
      "type": "WEB",
      "url": "http://mail.kde.org/pipermail/taglib-devel/2012-March/002186.html"
    },
    {
      "type": "WEB",
      "url": "http://mail.kde.org/pipermail/taglib-devel/2012-March/002191.html"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48211"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/48792"
    },
    {
      "type": "WEB",
      "url": "http://secunia.com/advisories/49688"
    },
    {
      "type": "WEB",
      "url": "http://www.gentoo.org/security/en/glsa/glsa-201206-16.xml"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/03/05/19"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/03/21/11"
    },
    {
      "type": "WEB",
      "url": "http://www.openwall.com/lists/oss-security/2012/03/26/4"
    },
    {
      "type": "WEB",
      "url": "http://www.securityfocus.com/bid/52290"
    }
  ],
  "database_specific": {
    "cwe_ids": [],
    "severity": "MODERATE",
    "github_reviewed": false,
    "github_reviewed_at": null,
    "nvd_published_at": "2012-09-06T18:55:00Z"
  }
}